Syncware
  1. User
  • Introduction
    • API
    • Authentication
    • Date Format
    • API Status Codes
  • User
    • Login
      POST
    • Get User
      GET
    • Update Profile
      PUT
  • Orders
    • Query All Orders
      GET
    • Query Single Order
      GET
    • Query Single Order By Id
      GET
    • Create New Order
      POST
    • Get Order Shipments By Order
      GET
    • Post Order Shipments By Order
      POST
    • Query Order Shipments By Order Id
      GET
    • Create Order Shipments By Order Id
      POST
  • Products
    • Query All Products
      GET
    • Create Multiple Products
      POST
    • Update Single Product
      PUT
    • Create New Product
      POST
    • Query Single Product
      GET
    • Update Inventory For Single Product
      POST
    • Update Inventory For Multiple Products
      POST
    • Set Upload for Endpoint
      POST
    • Set Upload for Chain
      POST
  • Customers
    • Query All Customers
      GET
    • Query Single Customer
      GET
    • Create New Customer
      POST
  • Invoices
    • Query All Invoices
  • Packing Slip
    • Generate Packing Slip
  • Retailer
    • Query Retailer Profile
    • Update Retailer Profile
  • Rep
    • Query Rep Connected Vendors
  • Leads
    • Query All Leads
    • Create Lead
    • Update Lead
    • Delete Lead
  • Lead Notes
    • Query All Lead Notes
    • Create Lead Note
    • Update Lead Note
    • Delete Lead Note
    • Delete All Notes By Lead Id
  • Common
    • Get All Sources
    • Get All Status
    • Get All Categories
    • Get All Brands
    • Get All Chains
    • Get All Endpoints
  1. User

Login

POST
/login
User
Last modified:2026-10-20 13:53:01

Request

Body Params application/json

Examples

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠400
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.syncware.com/api/v1/login' \
--header 'Content-Type: application/json' \
--data '{
    "username": "login",
    "password": "pwd"
}'
Response Response Example
200 - response
{
    "id": 0,
    "login": "user login",
    "email": "user email",
    "role": "user role",
    "token": "token for next calls",
    "vendor": "vendor code if any",
    "logo": "logo of user",
    "code": "repCode or retailerId based on role",
    "isProfileCompleted": "profile is completed or not"
}
Previous
API Status Codes
Next
Get User
Built with